Bug 1847605 (CVE-2020-10777) - CVE-2020-10777 CloudForms: Cross Site Scripting in report menu title / HTML Code Injection
Summary: CVE-2020-10777 CloudForms: Cross Site Scripting in report menu title / HTML C...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-10777
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1847612
Blocks: 1847589
TreeView+ depends on / blocked
 
Reported: 2020-06-16 16:48 UTC by Yadnyawalk Tale
Modified: 2021-02-16 19:52 UTC (History)
11 users (show)

Fixed In Version: cfme-gemset 5.11.7.1
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the Report Menu of Red Hat CloudForms where the title field was not properly sanitized for HTML and JavaScript inputs. An attacker could use this flaw to execute a stored XSS attack on an application administrator using CloudForms. Please note that Content Security Policy can prevent exploitation of this XSS however not all browsers support CSP.
Clone Of:
Environment:
Last Closed: 2020-08-06 19:27:42 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:3358 0 None None None 2020-08-06 14:32:36 UTC

Description Yadnyawalk Tale 2020-06-16 16:48:36 UTC
A cross-site scripting flaw was found in Report Menu feature of Red Hat CloudForms 4.7 and 5. An attacker could use this flaw to execute a stored XSS attack on an application administrator using CloudForms.

Comment 3 Yadnyawalk Tale 2020-06-16 16:58:07 UTC
Upstream patch: https://github.com/ManageIQ/manageiq-ui-classic/pull/3900

Comment 5 Yadnyawalk Tale 2020-06-24 17:27:42 UTC
Acknowledgments:

Name: Purnachand Pulahari (IBM), Ranjit Kumar Singh (IBM)

Comment 7 errata-xmlrpc 2020-08-06 14:32:35 UTC
This issue has been addressed in the following products:

  CloudForms Management Engine 5.11

Via RHSA-2020:3358 https://access.redhat.com/errata/RHSA-2020:3358

Comment 8 Product Security DevOps Team 2020-08-06 19:27:42 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-10777


Note You need to log in before you can comment on or make changes to this bug.